%define upstream_name    Moo
%define upstream_version 2.005003

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A light-weight object system
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-authors/id/M/MS/MSTROUT/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::Method::Modifiers) >= 1.100.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Role::Tiny) >= 2.2.3
BuildRequires: perl(Scalar::Util) >= 1.0.0
BuildRequires: perl(Sub::Defer) >= 2.6.6
BuildRequires: perl(Sub::Quote) >= 2.6.6
BuildRequires: perl(Test::Fatal) >= 0.3.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildArch:  noarch
Requires:   perl(Carp)
Requires:   perl(Class::Method::Modifiers) >= 1.10
Requires:   perl(Class::XSAccessor)
Requires:   perl(Devel::GlobalDestruction) >= 0.11
Requires:   perl(Import::Into) >= 1.002
Requires:   perl(Module::Runtime) >= 0.012
Requires:   perl(mro)
%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}perl\\(Moo::_
%global __provides_exclude %{?__provides_exclude:%{__provides_exclude}|}perl\\(Moo::_

%description
This module is an extremely light-weight, high-performance the Moose
manpage replacement. It also avoids depending on any XS modules to allow
simple deployments. The name 'Moo' is based on the idea that it provides
almost -but not quite- two thirds of the Moose manpage.

Unlike 'Mouse' this module does not aim at full the Moose manpage
compatibility. See the /INCOMPATIBILITIES manpage for more details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Thu Feb 29 2024 kekepower <kekepower> 2.5.3-3.mga10
+ Revision: 2045803
- BR perl(Class::XSAccessor) to fix Bugzilla's checksetup.pl

* Mon Mar 21 2022 umeabot <umeabot> 2.5.3-2.mga9
+ Revision: 1814259
- Mageia 9 Mass Rebuild

* Mon Mar 22 2021 tv <tv> 2.5.3-1.mga9
+ Revision: 1707209
- update to 2.005003

* Fri Apr 10 2020 tv <tv> 2.4.0-1.mga8
+ Revision: 1566083
- update to 2.004000

* Mon Feb 17 2020 umeabot <umeabot> 2.3.6-2.mga8
+ Revision: 1537172
- Mageia 8 Mass Rebuild

* Sat Oct 26 2019 tv <tv> 2.3.6-1.mga8
+ Revision: 1455978
- update to 2.003006

* Thu Sep 20 2018 umeabot <umeabot> 2.3.4-2.mga7
+ Revision: 1284984
- Mageia 7 Mass Rebuild

* Sat Dec 02 2017 tv <tv> 2.3.4-1.mga7
+ Revision: 1180653
- update to 2.003004

* Fri Nov 17 2017 tv <tv> 2.3.3-1.mga7
+ Revision: 1177623
- update to 2.003003

* Fri Jul 28 2017 shlomif <shlomif> 2.3.2-1.mga7
+ Revision: 1131749
- New version 2.3.2

* Sun Jun 19 2016 pterjan <pterjan> 2.1.1-2.mga6
+ Revision: 1030315
- Rebuild for perl 5.22.2

* Sun Mar 13 2016 shlomif <shlomif> 2.1.1-1.mga6
+ Revision: 989829
- update to 2.001001

* Fri Feb 19 2016 umeabot <umeabot> 2.0.2-2.mga6
+ Revision: 968915
- Mageia 6 Mass Rebuild

* Sun Jul 26 2015 sander85 <sander85> 2.0.2-1.mga6
+ Revision: 857831
- update to 2.000002

* Sat Jun 27 2015 shlomif <shlomif> 2.0.1-1.mga6
+ Revision: 846402
- update to 2.000001

* Wed Oct 15 2014 umeabot <umeabot> 1.6.0-6.mga5
+ Revision: 740321
- Second Mageia 5 Mass Rebuild

* Sat Oct 04 2014 tv <tv> 1.6.0-5.mga5
+ Revision: 736781
- relax requires

* Sat Oct 04 2014 tv <tv> 1.6.0-4.mga5
+ Revision: 736776
- add some missing requires

* Thu Oct 02 2014 tv <tv> 1.6.0-3.mga5
+ Revision: 735922
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.6.0-2.mga5
+ Revision: 685492
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 sander85 <sander85> 1.6.0-1.mga5
+ Revision: 664468
- update to 1.006000

* Tue Jun 10 2014 sander85 <sander85> 1.5.0-1.mga5
+ Revision: 635469
- update to 1.005000

* Tue May 27 2014 sander85 <sander85> 1.4.6-1.mga5
+ Revision: 626991
- update to 1.004006

* Fri May 23 2014 sander85 <sander85> 1.4.5-1.mga5
+ Revision: 625166
- update to 1.004005

* Sun Feb 09 2014 sander85 <sander85> 1.4.2-1.mga5
+ Revision: 587317
- update to 1.004002

* Sat Oct 19 2013 umeabot <umeabot> 1.3.1-2.mga4
+ Revision: 534325
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 sander85 <sander85> 1.3.1-1.mga4
+ Revision: 477317
- update to 1.003001

* Mon Jul 15 2013 sander85 <sander85> 1.3.0-1.mga4
+ Revision: 454881
- update to 1.003000

* Wed May 29 2013 shlomif <shlomif> 1.2.0-1.mga4
+ Revision: 432205
- New version

* Sun Jan 13 2013 umeabot <umeabot> 1.0.7-2.mga3
+ Revision: 370060
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.0.7-1.mga3
+ Revision: 342390
- update to 1.000007

* Wed Nov 07 2012 jquelin <jquelin> 1.0.5-1.mga3
+ Revision: 316055
- update to 1.000005

* Thu Oct 04 2012 jquelin <jquelin> 1.0.4-1.mga3
+ Revision: 302780
- update to 1.000004

* Mon Sep 17 2012 jquelin <jquelin> 1.0.3-1.mga3
+ Revision: 295001
- update to 1.000003

* Sun Aug 05 2012 shlomif <shlomif> 1.0.2-1.mga3
+ Revision: 278710
- New version 1.000002
- update to 1.000001

* Fri Jun 29 2012 shlomif <shlomif> 0.91.11-1.mga3
+ Revision: 265215
- New Moo version - Moo-0.091011.tar.gz

* Wed Jun 06 2012 jquelin <jquelin> 0.91.7-1.mga3
+ Revision: 256205
- update to 0.091007

* Wed Jan 04 2012 jquelin <jquelin> 0.9.13-1.mga2
+ Revision: 190328
- update to 0.009013

* Wed Nov 16 2011 takashi <takashi> 0.9.12-1.mga2
+ Revision: 168092
- update to 0.009012

* Thu Oct 13 2011 jquelin <jquelin> 0.9.11-1.mga2
+ Revision: 154346
- update to 0.009011
+ kharec <kharec>
- update to 0.009010

* Fri Jun 17 2011 jquelin <jquelin> 0.9.8-1.mga2
+ Revision: 109105
- imported package perl-Moo

